Bug 240938 - sync cache of shutdown processing fails in a megaraid_sas driver of EL4.5.
sync cache of shutdown processing fails in a megaraid_sas driver of EL4.5.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity high
: ---
: ---
Assigned To: Chip Coldwell
Martin Jenner
:
Depends On:
Blocks: 238913
  Show dependency treegraph
 
Reported: 2007-05-23 02:05 EDT by Haruo Tomita
Modified: 2008-01-29 11:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 11:08:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The error message at the time of a shutdown (348.92 KB, image/jpeg)
2007-05-23 02:08 EDT, Haruo Tomita
no flags Details
patch for megaraid sas driver (2.94 KB, patch)
2007-05-23 02:14 EDT, Haruo Tomita
no flags Details | Diff

  None (edit)
Description Haruo Tomita 2007-05-23 02:05:22 EDT
Description of problem:
sync cache of shutdown processing fails in a megaraid_sas driver.

Version-Release number of selected component (if applicable):
2.6.9-55.EL

How reproducible:
100%.


Steps to Reproduce:
1. A system is shutdown or reboot.
2.
3.
  
Actual results:
sync cache of shutdown processing faied.

Expected results:


Additional info:
Comment 1 Haruo Tomita 2007-05-23 02:08:49 EDT
Created attachment 155222 [details]
The error message at the time of a shutdown
Comment 2 Haruo Tomita 2007-05-23 02:14:13 EDT
Created attachment 155223 [details]
patch for megaraid sas driver  

sync cache of shutdown processing fails in a megaraid_sas driver.
I think that sync cache of a megaraid_sas driver goes wrong.
This issue is already corrected by the upstream.

http://lkml.org/lkml/2007/2/14/315

I created the patch which corrects this issue.
The following change is contained in the patch.

a. return sync cache call with success.
b. fix cmd_sense typo.
c. megasas_complete_cmd_dpc() is performed in crash dumping mode.
c: using pci_get_drvdata() in megasas_shutdown.
c: fix the double definition of PCI_DEVICE_ID_LSI_VERDE_ZCR
Comment 3 Tom Coughlan 2007-11-21 16:07:38 EST
Sumant, Chip,

I overlooked this one during 4.6. I don't see the patch in comment 2 in 4.6.
Should this be a candidate for 4.7? 

Tom
Comment 4 Sumant Patro 2007-11-21 17:32:45 EST
Tom, the SYNC cache code should be already in megaraid_sas.c. I had added it
when I submitted for 4.6.

However, I will check again the 4.6 megariad_src code and will get back to you
next week.

Comment 5 Sumant Patro 2007-11-28 14:31:38 EST
Tom here is the update (with ref to comment #2):

a. return sync cache call with success. : Is already in 4.6 
b. fix cmd_sense typo. : Is already in 4.6 
c. megasas_complete_cmd_dpc() is performed in crash dumping mode. : With the
megaraid_sas driver in 4.6 the diskdump feature works fine. 
c: using pci_get_drvdata() in megasas_shutdown. : I am not sure why we need this.
c: fix the double definition of PCI_DEVICE_ID_LSI_VERDE_ZCR : I did not see
double definition in code.

Comment 6 Andrius Benokraitis 2008-01-16 23:52:42 EST
Is there anything the reporter is still waiting for on this?
Comment 7 Andrius Benokraitis 2008-01-16 23:53:03 EST
Also, has RHEL 4.6 been tested?
Comment 9 Andrius Benokraitis 2008-01-29 11:08:54 EST
Closing due to insufficient data from reporter.

Note You need to log in before you can comment on or make changes to this bug.